# Method: projects.locations.preferenceSets.get

- [HTTP request](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1alpha1/projects.locations.preferenceSets/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1alpha1/projects.locations.preferenceSets/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1alpha1/projects.locations.preferenceSets/get#body.request_body)
- [Response body](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1alpha1/projects.locations.preferenceSets/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1alpha1/projects.locations.preferenceSets/get#body.aspect)

Gets the details of a preference set.

### HTTP request

`GET https://migrationcenter.googleapis.com/v1alpha1/{name=projects/*/locations/*/preferenceSets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/migration-center/docs/reference/rest/v1alpha1/projects.locations.preferenceSets#PreferenceSet`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).